package com.testor.module.video.config;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.injector.DefaultSqlInjector;
import com.baomidou.mybatisplus.extension.injector.methods.InsertBatchSomeColumn;

import java.util.List;

public class CustomSqlInjector extends DefaultSqlInjector {
	@Override
	public List<AbstractMethod> getMethodList(Class<?> mapperClass) {
		// 获取父类SQL注入方法列表
		List<AbstractMethod> methodList = super.getMethodList(mapperClass);
		// 将批量插入方法添加进去
		methodList.add(new InsertBatchSomeColumn());
		return methodList;
	}
}
